use std::sync::Arc;

use domain::services::todo::TodoService;

/// The global application state shared between all request handlers.
#[derive(Debug, Clone)]
pub struct AppState<S: TodoService> {
    pub todo_service: Arc<S>,
}
